Patchwork [meta-qt5,2/2] nativesdk-qttools: add nativesdk version of qttools necessary for SDK tools

login
register
mail settings
Submitter Denys Dmytriyenko
Date Nov. 26, 2013, 1:47 a.m.
Message ID <1385430478-31824-3-git-send-email-denis@denix.org>
Download mbox | patch
Permalink /patch/62339/
State Accepted, archived
Headers show

Comments

Denys Dmytriyenko - Nov. 26, 2013, 1:47 a.m.
From: Denys Dmytriyenko <denys@ti.com>

Signed-off-by: Denys Dmytriyenko <denys@ti.com>
---
 recipes-qt/qt5/nativesdk-qttools.inc      | 32 +++++++++++++++++++++++++++++++
 recipes-qt/qt5/nativesdk-qttools_5.1.1.bb | 12 ++++++++++++
 2 files changed, 44 insertions(+)
 create mode 100644 recipes-qt/qt5/nativesdk-qttools.inc
 create mode 100644 recipes-qt/qt5/nativesdk-qttools_5.1.1.bb
Martin Jansa - Nov. 26, 2013, 2:14 a.m.
On Mon, Nov 25, 2013 at 08:47:58PM -0500, Denys Dmytriyenko wrote:
> From: Denys Dmytriyenko <denys@ti.com>
> 
> Signed-off-by: Denys Dmytriyenko <denys@ti.com>
> ---
>  recipes-qt/qt5/nativesdk-qttools.inc      | 32 +++++++++++++++++++++++++++++++
>  recipes-qt/qt5/nativesdk-qttools_5.1.1.bb | 12 ++++++++++++
>  2 files changed, 44 insertions(+)
>  create mode 100644 recipes-qt/qt5/nativesdk-qttools.inc
>  create mode 100644 recipes-qt/qt5/nativesdk-qttools_5.1.1.bb

There is alternative pull-request on github, but this one looks a lot
simpler and cleaner.

> 
> diff --git a/recipes-qt/qt5/nativesdk-qttools.inc b/recipes-qt/qt5/nativesdk-qttools.inc
> new file mode 100644
> index 0000000..30bb357
> --- /dev/null
> +++ b/recipes-qt/qt5/nativesdk-qttools.inc
> @@ -0,0 +1,32 @@
> +# doesnt have GFDL-1.3 like qtbase, LICENSE files are missing in 5.0.0 and 5.0.1, this is for 5.0.2 and git
> +LICENSE = "LGPL-2.1 | GPL-3.0"
> +LIC_FILES_CHKSUM = "file://LICENSE.LGPL;md5=4193e7f1d47a858f6b7c0f1ee66161de \
> +                    file://LICENSE.GPL;md5=d32239bcb673463ab874e80d47fae504 \
> +                    file://LGPL_EXCEPTION.txt;md5=0145c4d1b6f96a661c2c139dfb268fb6 \
> +"
> +
> +DEPENDS = "nativesdk-qtbase qtbase-native"
> +
> +QT_MODULE = "qttools"
> +
> +require nativesdk-qt5.inc
> +
> +SRC_URI += "file://0001-Allow-to-build-only-lrelease-lupdate-lconvert.patch"
> +
> +PACKAGE_DEBUG_SPLIT_STYLE = "debug-without-src"
> +
> +FILES_${PN}-dbg = " \
> +    ${OE_QMAKE_PATH_BINS}/.debug \
> +"
> +
> +FILES_${PN} = " \
> +    ${OE_QMAKE_PATH_BINS}/* \
> +"
> +
> +do_configure() {
> +    ${OE_QMAKE_QMAKE} ${OE_QMAKE_DEBUG_OUTPUT} -r ${S} CONFIG+=linguistonly
> +}
> +
> +do_install() {
> +    oe_runmake install INSTALL_ROOT=${D}
> +}
> diff --git a/recipes-qt/qt5/nativesdk-qttools_5.1.1.bb b/recipes-qt/qt5/nativesdk-qttools_5.1.1.bb
> new file mode 100644
> index 0000000..8aca56e
> --- /dev/null
> +++ b/recipes-qt/qt5/nativesdk-qttools_5.1.1.bb
> @@ -0,0 +1,12 @@
> +require qt5-${PV}.inc
> +require ${PN}.inc
> +
> +# LICENSE files are missing in 5.0.0 and 5.0.1
> +LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/LGPL-2.1;md5=1a6d268fd218675ffea8be556788b780 \
> +                    file://${COMMON_LICENSE_DIR}/GPL-3.0;md5=c79ff39f19dfec6d293b95dea7b07891 \
> +"

Looks like I've forgot to remove LIC_FILES_CHKSUM from .bb when
upgrading to 5.1.1, can you check if the checksums in .inc are matching
and if yes, remove it here and in recipes-qt/qt5/qttools-native_5.1.1.bb
?

Thanks
> +
> +FILESEXTRAPATHS =. "${FILE_DIRNAME}/qttools-${PV}:"
> +
> +SRC_URI[md5sum] = "022073d32ff9d408de0182b5d1f01781"
> +SRC_URI[sha256sum] = "2b42c6d5feeccffb67e890b86a150bae64dd2ff550be39a3cc449ee0e95462b6"
> -- 
> 1.8.3.2
> 
> _______________________________________________
> Openembedded-devel mailing list
> Openembedded-devel@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-devel

Patch

diff --git a/recipes-qt/qt5/nativesdk-qttools.inc b/recipes-qt/qt5/nativesdk-qttools.inc
new file mode 100644
index 0000000..30bb357
--- /dev/null
+++ b/recipes-qt/qt5/nativesdk-qttools.inc
@@ -0,0 +1,32 @@ 
+# doesnt have GFDL-1.3 like qtbase, LICENSE files are missing in 5.0.0 and 5.0.1, this is for 5.0.2 and git
+LICENSE = "LGPL-2.1 | GPL-3.0"
+LIC_FILES_CHKSUM = "file://LICENSE.LGPL;md5=4193e7f1d47a858f6b7c0f1ee66161de \
+                    file://LICENSE.GPL;md5=d32239bcb673463ab874e80d47fae504 \
+                    file://LGPL_EXCEPTION.txt;md5=0145c4d1b6f96a661c2c139dfb268fb6 \
+"
+
+DEPENDS = "nativesdk-qtbase qtbase-native"
+
+QT_MODULE = "qttools"
+
+require nativesdk-qt5.inc
+
+SRC_URI += "file://0001-Allow-to-build-only-lrelease-lupdate-lconvert.patch"
+
+PACKAGE_DEBUG_SPLIT_STYLE = "debug-without-src"
+
+FILES_${PN}-dbg = " \
+    ${OE_QMAKE_PATH_BINS}/.debug \
+"
+
+FILES_${PN} = " \
+    ${OE_QMAKE_PATH_BINS}/* \
+"
+
+do_configure() {
+    ${OE_QMAKE_QMAKE} ${OE_QMAKE_DEBUG_OUTPUT} -r ${S} CONFIG+=linguistonly
+}
+
+do_install() {
+    oe_runmake install INSTALL_ROOT=${D}
+}
diff --git a/recipes-qt/qt5/nativesdk-qttools_5.1.1.bb b/recipes-qt/qt5/nativesdk-qttools_5.1.1.bb
new file mode 100644
index 0000000..8aca56e
--- /dev/null
+++ b/recipes-qt/qt5/nativesdk-qttools_5.1.1.bb
@@ -0,0 +1,12 @@ 
+require qt5-${PV}.inc
+require ${PN}.inc
+
+# LICENSE files are missing in 5.0.0 and 5.0.1
+LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/LGPL-2.1;md5=1a6d268fd218675ffea8be556788b780 \
+                    file://${COMMON_LICENSE_DIR}/GPL-3.0;md5=c79ff39f19dfec6d293b95dea7b07891 \
+"
+
+FILESEXTRAPATHS =. "${FILE_DIRNAME}/qttools-${PV}:"
+
+SRC_URI[md5sum] = "022073d32ff9d408de0182b5d1f01781"
+SRC_URI[sha256sum] = "2b42c6d5feeccffb67e890b86a150bae64dd2ff550be39a3cc449ee0e95462b6"